## mpich 4.2.0

=== debian/changelog ===
mpich (4.2.0-5build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:09:52 +0000

mpich (4.2.0-5build2) noble; urgency=high

  * No change rebuild against libslurm40t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:42:01 +0100

mpich (4.2.0-5build1) noble; urgency=medium

  * No-change rebuild against libpmix2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 22:51:13 +0000

mpich (4.2.0-5) unstable; urgency=medium

  * Install mod files in include dir until all deps updated

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Feb 2024 08:59:43 +0000

mpich (4.2.0-4) unstable; urgency=medium

  * Fix for ppc64 detection: Closes: #1032008
  * Put default install of *mod files in d/not-installed.Closes: #1064841

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Feb 2024 14:43:24 +0000

mpich (4.2.0-3) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Feb 2024 13:02:02 +0000

mpich (4.2.0-2) experimental; urgency=medium

  * Fix install locations

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Feb 2024 13:34:24 +0000

mpich (4.2.0-1) experimental; urgency=medium

  * New upstream release
  * Build-conflicts libamdhip64-dev until hipcc detection code is fixed
  * Expand list of supported valgrind archs
  * Drop obsolete libmpl* install file
  * Install path fixes
  * Add fortran:Depends to libmpich-dev
  * Drop duperflous patterns in d/copyright

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Feb 2024 12:43:13 +0000

mpich (4.1.2-3) experimental; urgency=medium

  * Change main install point to LIBDIR/mpich/{include,lib} to match
    openmpi, etc
  * Add perl depends to mpich pkg for parkill
  * Close obsolete bugs: Closes: #512142
  * Update hurd configuration. Closes: #1055455
  * Delete obsolete d/control package handling, libopa/libmpl files
  * Simplify postinst/prerm removing obsolete code
  * Drop autotools.patch, no-real128.patch - not used
  * Update autogen bash patch

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Nov 2023 09:37:09 +0000
