=== debian/control ===
Source: mpich
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Torquil Macdonald Sørensen <torquil@gmail.com>,
           "Adam C. Powell, IV" <hazelsct@debian.org>,
           Alastair McKinstry <mckinstry@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
	       dh-sequence-fortran-mod,
               gfortran | fortran-compiler,
	       chrpath,
               hwloc-nox,
               libhwloc-dev,
	       librdmacm-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-any],
	       libslurm-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-any],
               libibverbs-dev (>= 1.1.7) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-any],
	       libfabric-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-any !powerpc !sh4 !x32],
               libnuma-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-any],
	       libucx-dev [amd64  ppc64el arm64],
               libpmix-dev,
               libxt-dev,
               procps,
	       python3,
               quilt,
               txt2man,
               valgrind [i386 arm64 ppc64el ppc64  amd64 powerpc armhf],
               x11proto-core-dev
Build-Conflicts: libamdhip64-dev
Build-Depends-Indep: texlive-latex-extra,
                     texlive-latex-recommended,
                     doxygen-latex
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/mpich
Vcs-Git: https://salsa.debian.org/science-team/mpich.git -b debian/latest
Homepage: https://www.mpich.org/

Package: libmpich-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gfortran | fortran-compiler,
         g++,
         libmpich12 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${fortran:Depends},
	 mpich (= ${binary:Version})
Description: Development files for MPICH
 MPICH is a high-performance and widely portable implementation of the
 MPI-3.1 standard from the Argonne National Laboratory.  
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 3.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the MPICH headers and static libraries, as well
 as the compiler wrappers needed to build MPICH programs.

Package: libmpich12
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Shared libraries for MPICH
 MPICH is a high-performance and widely portable implementation of the
 MPI-3.1 standard from the Argonne National Laboratory.  
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 3.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the MPICH shared libraries.

Package: mpich
Architecture: any
Multi-Arch: foreign
Depends: hwloc-nox | hwloc,
         libmpich12 (= ${binary:Version}),
         ${misc:Depends},
  	 ${perl:Depends},
         ${shlibs:Depends}
Recommends: libmpich-dev (= ${binary:Version})
Suggests: mpich-doc (= ${source:Version})
Description: Implementation of the MPI Message Passing Interface standard
 MPICH is a high-performance and widely portable implementation of the
 MPI-3.1 standard from the Argonne National Laboratory.  
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 3.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the program binaries necessary to run MPICH programs.

Package: mpich-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Conflicts: lam-mpidoc,
           lam4-dev,
           mpi-doc,
           openmpi-doc,
           openmpi-mpidoc
Description: Documentation for MPICH
 MPICH is a high-performance and widely portable implementation of the
 MPI-3.1 standard from the Argonne National Laboratory.  
 It efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 This release has all MPI 3.1 functions and features required by the standard
 with the exception of support for the "external32" portable I/O format and
 user-defined data representations for I/O.
 .
 This package includes the MPICH documentation.
