=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4
opts="uversionmangle=s/(\d+)((a|b|rc)\d+)/$1~$2/" http://www.mpich.org/downloads .*/mpich-([\d\.]+)\.tar\.gz
