## mpich 4.2.1

=== debian/changelog ===
mpich (4.2.1-2ubuntu2) plucky; urgency=medium

  * No-change rebuild for slurm-wlm.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 17 Dec 2024 12:40:28 +0000

mpich (4.2.1-2ubuntu1) plucky; urgency=medium

  * Upload mpich 4.2.1-2 that was uploaded to unstable,
    instead of 4.2.1-2 that was previously uploaded to experimental

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 06 Dec 2024 16:28:14 +0000

mpich (4.2.1-2) unstable; urgency=medium

  * Add more autopkgtests for pkg-config, mpif77
  * Add links for mpi-c.pc mpi-fort.pc. Closes: #1088919

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Dec 2024 06:36:38 +0000

mpich (4.2.1-1) experimental; urgency=medium

  * New upstream release
  * pmix now only supports 64-bit archs; build with pmix on 64-bit only
  * Standards-Version: 4.7.0; no changes required
  * Update links; minor version now 12.4.1
  * libmpl.so, libopa.so now point to libmpich.so
  * Drop patch merged upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 May 2024 14:07:14 +0100

mpich (4.2.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rules: Re-disable pmix: Closes: #1066735

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Mar 2024 22:40:26 +0100
