=== debian/control ===
--- 
+++ 
@@ -18,11 +18,10 @@
 	       libfabric-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-any !powerpc !sh4 !x32],
                libnuma-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-any],
 	       libucx-dev [amd64  ppc64el arm64],
-               libpmix-dev,
+               libpmix-dev [amd64 arm64 mips64el ppc64el riscv64 s390x loong64 alpha ia64 ppc64 sparc64],
                libxt-dev,
                procps,
-	       python3,
-               quilt,
+               python3,
                txt2man,
                valgrind [i386 arm64 ppc64el ppc64  amd64 powerpc armhf],
                x11proto-core-dev
@@ -30,7 +29,7 @@
 Build-Depends-Indep: texlive-latex-extra,
                      texlive-latex-recommended,
                      doxygen-latex
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/mpich
 Vcs-Git: https://salsa.debian.org/science-team/mpich.git -b debian/latest
 Homepage: https://www.mpich.org/
@@ -44,6 +43,8 @@
          libmpich12 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
+         libhwloc-dev,
+         libucx-dev [amd64 ppc64el arm64],
          ${fortran:Depends},
 	 mpich (= ${binary:Version})
 Description: Development files for MPICH
