=== debian/tests/control ===
Tests: version
Depends: mpich

Tests: compile-run-mpicc
Depends: gcc, mpich, libmpich-dev
#Conflicts: libopenmpi-dev

Tests: compile-run-mpif77
Depends: gfortran, mpich, libmpich-dev
#Conflicts: libopenmpi-dev

Tests: compile-run-mpif90
Depends: gfortran, mpich, libmpich-dev
#Conflicts: libopenmpi-dev

Tests: compile-run-cc-pkgconf-mpi
Depends: gcc, mpich, libmpich-dev
#Conflicts: libopenmpi-dev

Tests: compile-run-cc-pkgconf-mpi-c
Depends: gcc, mpich, libmpich-dev
#Conflicts: libopenmpi-dev

Tests: compile-run-f90-pkgconf-mpi
Depends: gfortran, mpich, libmpich-dev
#Conflicts: libopenmpi-dev

Tests: compile-run-f90-pkgconf-mpi-fort
#Conflicts: libopenmpi-dev
Depends: gfortran, mpich, libmpich-dev
