## mpich 4.3.0+really4.2.1

=== debian/changelog ===
mpich (4.3.0+really4.2.1-1build1) questing; urgency=medium

  * No-change rebuild for gfortran 15.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Sep 2025 14:26:55 +0200

mpich (4.3.0+really4.2.1-1) unstable; urgency=medium

  * Uploading really4.2.1 for trixie transition (to unblock unstable)
  * Use := for performance in d/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Apr 2025 13:46:38 +0100

mpich (4.2.1-5) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Drop ia64 support

  [ Andreas Beckmann ]
  * Do not provide mpi-cxx.pc alternative to match openmpi.
  * Synchronize autopkgtests from src:mpi-defaults.
  * Do not ship duplicate documentation.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 26 Dec 2024 13:51:00 +0100

mpich (4.2.1-4) unstable; urgency=medium

  * Add more autopkgtests for pkg-config, mpif77
  * Add links for mpi-c.pc mpi-fort.pc. Closes: #1088919
  * Tests need to depend on pkg-config. Closes: #1089694

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Dec 2024 18:56:39 +0000

mpich (4.2.1-3) experimental; urgency=medium

  * Merge changes from 4.2.0-14.
  * Do not allow alternatives to B-D: gfortran. The build system does not
    check for flang.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Sep 2024 21:18:40 +0200

mpich (4.2.1-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 4.2.0-6.
  * Enable all hardening flags.
  * Use the symbols file for all architectures.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 May 2024 13:15:50 +0200

mpich (4.2.0-14) unstable; urgency=medium

  * Team upload.
  * d/rules: Parse list of UCX architectures from Build-Depends.
  * libmpich-dev: Generate the libucx-dev dependency.
  * Drop unused Build-Depends: libpmix-dev.
  * Refresh ./COPYRIGHT embedded in d/copyright.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Sep 2024 00:06:07 +0200

mpich (4.2.0-13) unstable; urgency=medium

  * Team upload.
  * Bump required libslurm-dev version.
  * Add upstream metadata.
  * Switch s390x back to ch3 to avoid eztrace autopkgtest failures.
  * Mark symbols disappearing with LTO as optional.
    (Closes: #1079142, #1081116)
  * Provide mpic++.mpich symlink.  (Closes: #1077247)
  * Drop rpath workarounds, no longer needed.
  * Simplify d/rules.
  * Drop missing-conf.patch, no longer needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 08 Sep 2024 21:46:09 +0200

mpich (4.2.0-12) unstable; urgency=medium

  * Team upload.
  * Re-enable ucx on ppc64el.
  * Switch s390x to ch4:ofi.
  * Drop --with-atomic-primitives=no logic, option gone since 3.4.
  * Switch B-D to valgrind-if-available to avoid hardcoding the arch list.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 25 Aug 2024 00:32:48 +0200

mpich (4.2.0-11) unstable; urgency=medium

  * Team upload.
  * d/control, d/rules: Sync architecture constraints.
  * Simplify the device selection logic.
  * Switch mips64el to ch4:ofi.
  * Simplify the --with-atomic-primitives=no logic.
  * Enable all hardening flags.
  * Use the symbols file for all architectures.
  * Update symbols file.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 23 Aug 2024 04:39:59 +0200

mpich (4.2.0-10) unstable; urgency=medium

  * Fix FTBFS on amd64 due to symbols. Patch thanks to Gianfranco Costamagna
    Closes: #1075292
  * Drop unnset Depends from d/control
  * Standards-Version: 4.7.0

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Aug 2024 07:50:53 +0100

mpich (4.2.0-9) unstable; urgency=medium

  * Update d/rules to exclude ppc64el for now; add loong64 support

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Jul 2024 08:43:53 +0100

mpich (4.2.0-8) unstable; urgency=medium

  * libucx-dev deps needs to be conditional. Drop ppc64el for now, add riscv64
    Closes: #1075965

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Jul 2024 15:16:50 +0100

mpich (4.2.0-7) unstable; urgency=medium

  * Add patch that was accidentally dropped:
     Add Deps to libmpich-dev needed for pkg-config. Closes: #1028172

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Jul 2024 11:43:54 +0100

mpich (4.2.0-6) unstable; urgency=medium

  * Team upload.
  * Run autogen.sh via dh_autoreconf.
  * Fix building twice in a row.  (Closes: #1047086)
  * Fix inverted logic when enabling features.
  * Fix non-verbose build.
  * Declare Rules-Requires-Root: no.
  * Fix symbols file for amd64.
  * libmpich-dev: Only ship .so links for libraries built from this source.
  * libmpich-dev.preinst: Perform cleanup on upgrades from versions missing
    dir_to_symlink/symlink_to_dir for the include directory.
  * libmpich-dev: Perform dir/symlink direction change for the include
    directory.  (Closes: #1071115)
  * Reproducibility: Strip -ffile-prefix-map from macros and shipped files.
  * mpich-doc: Drop unusable build system artefacts from examples.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 May 2024 00:33:02 +0200

mpich (4.1.2-2+hurd.1) unreleased; urgency=medium

  * Fix configure flags.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Nov 2023 21:05:47 +0000

mpich (4.1.1a1+really.4.1~rc3-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Jan 2023 15:47:27 +0000

mpich (4.0~b1-2) experimental; urgency=medium

  * Enable ch4
  * Enable UCX, adding dep on libucx-dev on archs
  * Enable pmix, including build-dep on libpmix-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 Dec 2021 12:48:05 +0000
