=== debian/changelog ===
mpich (4.3.1-3) unstable; urgency=medium

  * Disable pmix - breaks with pmix 6.0.0, ditto hip
  * Close old bug: Closes: #1042412

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Aug 2025 10:29:18 +0100

mpich (4.3.1-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Aug 2025 16:27:27 +0100

mpich (4.3.1-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2
  * Include /etc/mpich/mpixxx_opts.conf in -dev
  * Drop obsolete lintian override
  * SOVERSION now 12.5.1 in links

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 25 Jul 2025 13:45:19 +0100

mpich (4.3.0-2) experimental; urgency=medium

  * Mark HIP symbols as optional in libmpich12.symbols
  * Add Pmix support on 64-bit systems

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Feb 2025 10:08:24 +0000

mpich (4.3.0-1) experimental; urgency=medium

  * New upstream release
  * Enable hip

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Feb 2025 10:14:50 +0000

mpich (4.3.0~rc4-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Jan 2025 16:13:39 +0000

mpich (4.3.0~rc3-1) experimental; urgency=medium

  * New upstream release
  * d/rules: run autoconf in src/mpl needed to cope with new
    --runstatedir parameter

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Jan 2025 11:11:16 +0000

mpich (4.3.0~rc2-1) experimental; urgency=medium

  * New upstream release
  * library version numbers now 12.4.2
  * Add patch that was accidentally dropped:
     Add Deps to libmpich-dev needed for pkg-config. Closes: #1028172
  * Drop ppc64el ucx dependency; add riscv64. UCX doesn't have ppc64el support
    which makes it a blocker
  * Don't call dh_dwz: dwz crashes
  * Now B-D on libamdhip64-dev and hipcc

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 05 Jan 2025 12:55:17 +0000

mpich (4.3.0~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 Dec 2024 07:02:31 +0000

mpich (4.3.0~b1-1) experimental; urgency=medium

  * New upstream release
    - Set soversion links to 0.0.0 for non-release version of lib
  * Now add B-D on libamdhip64-dev, hipcc
  * Override dh_dwz as it breaks
  * Patch for hipamd64:
      * undefined-type-gpu.patch
  * Add patch that was accidentally dropped:
     Add Deps to libmpich-dev needed for pkg-config. Closes: #1028172
  * Drop ppc64el ucx dependency; add riscv64. UCX doesn't have ppc64el support
    which makes it a blocker

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 23 Dec 2024 08:53:13 +0000

mpich (4.2.2-1) experimental; urgency=medium

  * New upstream release
  * library versions now 12.4.2

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Jul 2024 13:55:21 +0100
