=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 	       libfabric-dev [!hurd-any !powerpc !sh4],
 	       libnuma-dev [!hurd-any],
 	       libucx-dev [amd64 arm64 ppc64el riscv64 loong64],
-               libpmix-dev [amd64 arm64 mips64el ppc64el riscv64 s390x loong64 alpha ppc64 sparc64],
                libxt-dev,
                procps,
 	       python3,
@@ -24,12 +23,11 @@
                txt2man,
 	       valgrind-if-available,
                x11proto-core-dev
-Build-Conflicts: libamdhip64-dev
 Build-Depends-Indep: texlive-latex-extra,
                      texlive-latex-recommended,
                      doxygen-latex
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/mpich
 Vcs-Git: https://salsa.debian.org/science-team/mpich.git -b debian/latest
 Homepage: https://www.mpich.org/
