=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#! /usr/bin/make -f
+#!/usr/bin/make -f
 
 export DH_VERBOSE=1
 
@@ -22,6 +22,8 @@
 FC:=$(shell basename $(shell readlink /etc/alternatives/f95))
 export FC
 
+export HIPCXX=clang++-19
+
 
 # Keep old library naming scheme
 export MPILIBNAME=mpich
@@ -34,6 +36,8 @@
 # Pick one as default, unlisted ones get CH3
 CH4_UCX_ARCH:= $(shell sed -n -r '/^Build/,/^$$/s/.*libucx-dev *\[([^]]*)\].*/\1/p' debian/control)
 CH4_OFI_ARCH:= mips64el alpha ppc64 sparc64
+HIP_ARCH:= $(shell sed -n -r '/^Build/,/^$$/s/.*libamdhip64-dev *\[([^]]*)\].*/\1/p' debian/control)
+PMIX_ARCH:= $(shell sed -n -r '/^Build/,/^$$/s/.*libpmix-dev *\[([^]]*)\].*/\1/p' debian/control)
 
 ifeq (,$(filter $(DEB_HOST_ARCH),$(NO_VERBS_ARCH)))
 	VERBS := --with-ibverbs
@@ -47,6 +51,12 @@
 ifeq (,$(filter $(DEB_HOST_ARCH),$(NO_SLURM_ARCH)))
 	SLURM := --with-slurm=/usr
 endif
+
+#HIP:= $(if $(filter $(DEB_TARGET_ARCH), $(HIP_ARCH)),--with-hip=/usr,)
+#PMIX:= $(if $(filter $(DEB_TARGET_ARCH), $(PMIX_ARCH)),--with-pmix=/usr/lib/${DEB_HOST_MULTIARCH}/pmix2,)
+# Disable pmix this build
+PMIX:= 
+HIP:= 
 
 UCX:=
 ifneq (,$(filter $(DEB_HOST_ARCH),$(CH4_UCX_ARCH)))
@@ -63,6 +73,8 @@
 	$(FABRIC) \
 	$(SLURM) \
 	$(UCX) \
+	$(HIP) \
+	$(PMIX) \
 	$(DEVICE) \
 	--with-pm=hydra \
 	--with-hwloc-prefix=/usr \
@@ -88,6 +100,8 @@
 	dh $@
 
 override_dh_autoreconf:
+	# need to regenerate configure to cope with --runstatedir
+	(cd src/mpl && autoconf)
 	dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure: $(AUTOGENERATED)
@@ -140,3 +154,6 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- -V'archlist:ucx=$(CH4_UCX_ARCH)'
+
+override_dh_dwz:
+	@echo "Skip dwx: crashes"
